Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl
Class ComponentBase

    java.lang.Object
      tle.framework.component.impl.ComponentBase

All Implemented Interfaces:
  Component

Direct Known Subclasses:
  DefaultAAManager, DefaultRequestAnalyzer, DefaultRequestProcessor, DefaultUICreator, NullAAManager, TLEController

    public abstract class ComponentBase

extends java.lang.Object
implements Component

Component 인터페이스를 구현할 클래스가 베이스 클래스로 사용할 수 있는 추상 클래스. 라이프 사이클과 관련된 메소드 호출시 컴포넌트의 상태 전이를 처리해준다.

Since:
  2.0
Author:
  최범균

Field Summary
`protected ComponentState` | `componentState`
`protected ComponentConfig` | `config`

Constructor Summary
`ComponentBase()` 컴포넌트의 상태를 "NOT_CREATED" 상태에서 "CREATED"로 변경한다.

Method Summary
`void` | `close()` resuming() 메소드를 호출하여 일시정지된 컴포넌트를 재구동한다.
`protected void` | `closing()` 구동중인 컴포넌트를 종료한다.
`java.lang.String` | `getDescription()` init()에서 전달받은 ComponentConfig의 getDescription() 메소드의 결과 값을 리턴한다.
`java.lang.String` | `getID()` initing() 메소드로 전달받은 ComponentConfig.getID() 메소드의 값을 리턴한다.
`java.lang.String` | `getState()`
`void` | `init(ComponentConfig config)` initing() 메소드를 호출하여 컴포넌트를 초기화한다.
`protected void` | `initing(ComponentConfig config)` 컴포넌트를 초기화한다.
`boolean` | `isClosed()` 컴포넌트가 종료됨 상태인 경우 true를 리턴한다.
`boolean` | `isClosing()` 컴포넌트가 종료중 상태인 경우 true를 리턴한다.
`boolean` | `isCreated()` 컴포넌트가 생성된 상태인 경우 true를 리턴한다.
`boolean` | `isErrorOccured()` 컴포넌트가 에러처리중 상태인 경우 true를 리턴한다.
`boolean` | `isInited()` 컴포넌트가 초기화됨 상태인 경우 true를 리턴한다.
`boolean` | `isIniting()` 컴포넌트가 초기화중 상태인 경우 true를 리턴한다.
`boolean` | `isResuming()` 컴포넌트가 재계중인 상태인 경우 true를 리턴한다.
`boolean` | `isRunning()` 컴포넌트가 실행중인 상태인 경우 true를 리턴한다.
`boolean` | `isStarting()` 컴포넌트가 시작중인 상태인 경우 true를 리턴한다.
`boolean` | `isStopped()` 컴포넌트가 정지됨 상태인 경우 true를 리턴한다.
`boolean` | `isStopping()` 컴포넌트가 정지중 상태인 경우 true를 리턴한다.
`boolean` | `isSuspended()` 컴포넌트가 지연된 상태인 경우 true를 리턴한다.
`boolean` | `isSuspending()` 컴포넌트가 지연중인 상태인 경우 true를 리턴한다.
`void` | `resume()` resuming() 메소드를 호출하여 일시정지된 컴포넌트를 재구동한다.
`protected void` | `resuming()` 일시 정지된 컴포넌트를 다시 구동한다.
`void` | `start()` starting() 메소드를 호출하여 컴포넌트를 구동한다.
`protected void` | `starting()` 컴포넌트를 구동한다.
`void` | `stop()` resuming() 메소드를 호출하여 일시정지된 컴포넌트를 재구동한다.
`protected void` | `stopping()` 구동중인 컴포넌트를 정지한다.
`void` | `suspend()` suspending() 메소드를 호출하여 컴포넌트를 일시 정지한다.
`protected void` | `suspending()` 컴포넌트를 일시 정지한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### componentState

    protected ComponentState componentState

### config

    protected ComponentConfig config

Constructor Detail

### ComponentBase

    public ComponentBase()

  컴포넌트의 상태를 "NOT_CREATED" 상태에서 "CREATED"로 변경한다.

Method Detail

### getID

    public java.lang.String getID()

  initing() 메소드로 전달받은 ComponentConfig.getID() 메소드의 값을 리턴한다.

  Specified by:
    `getID` in interface `Component`
  Returns:
  See Also:
    `Component.getID()`

### initing

    protected void initing(ComponentConfig config)
                    throws ComponentException

  컴포넌트를 초기화한다.

  하위 클래스를 이 메소드를 오버라이딩하여 컴포넌트 초기화를 수행한다.

  Parameters:
    `config` - 컴포넌트 초기화 설정 정보를 담고 있는 객체
  Throws:
    `ComponentException`

### init

    public final void init(ComponentConfig config)
                    throws ComponentException

  initing() 메소드를 호출하여 컴포넌트를 초기화한다.

  처리 순서는 ["INITING" 상태 전이 -> initing() 호출 -> "INITED" 상태 전이] 이다. protected 필드인 config에 인자로 전달받은 config를 할당한다.

  Specified by:
    `init` in interface `Component`
  Parameters:
    `config` - 컴포넌트의 설정 정보를 담고 있다.
  Throws:
    `ComponentException`
  See Also:
    `tle.framework.component.Component#init()`

### starting

    protected void starting()
                     throws ComponentException

  컴포넌트를 구동한다.

  하위 클래스를 이 메소드를 오버라이딩하여 컴포넌트 구동 작업을 수행한다. 이 메소드를 구현할 때 주의할 점은 starting() 메소드가 빠른 시간안에 리턴해야 한다는 점이다. 만약 컴포넌트가 서버소켓 리스너와 같이 루프를 필요로 할 경우 starting() 메소드가 아닌 별도의 쓰레드에서 루프작업을 수행해야 한다.

  Throws:
    `ComponentException`

### start

    public final void start()
                     throws ComponentException

  starting() 메소드를 호출하여 컴포넌트를 구동한다.

  처리 순서는 ["STARTING" 상태 전이 -> initing() 호출 -> "RUNNING" 상태 전이] 이다.

  Specified by:
    `start` in interface `Component`
  Throws:
    `ComponentException`
  See Also:
    `Component.start()`

### suspending

    protected void suspending()
                       throws ComponentException

  컴포넌트를 일시 정지한다.

  하위 클래스를 이 메소드를 오버라이딩하여 컴포넌트의 일시 작업을 처리한다.

  Throws:
    `ComponentException`

### suspend

    public final void suspend()
                       throws ComponentException

  suspending() 메소드를 호출하여 컴포넌트를 일시 정지한다.

  처리 순서는 ["SUSPENDING" 상태 전이 -> suspending() 호출 -> "SUSPENDED" 상태 전이] 이다.

  Specified by:
    `suspend` in interface `Component`
  Throws:
    `ComponentException`
  See Also:
    `Component.suspend()`

### resuming

    protected void resuming()
                     throws ComponentException

  일시 정지된 컴포넌트를 다시 구동한다.

  하위 클래스를 이 메소드를 오버라이딩하여 컴포넌트의 재구동 작업을 수행한다.

  Throws:
    `ComponentException`

### resume

    public final void resume()
                      throws ComponentException

  resuming() 메소드를 호출하여 일시정지된 컴포넌트를 재구동한다.

  처리 순서는 ["SUSPENDING" 상태 전이 -> suspending() 호출 -> "SUSPENDED" 상태 전이] 이다.

  Specified by:
    `resume` in interface `Component`
  Throws:
    `ComponentException`
  See Also:
    `Component.resume()`

### stopping

    protected void stopping()
                     throws ComponentException

  구동중인 컴포넌트를 정지한다.

  하위 클래스는 이 메소드를 오버라이딩하여 컴포넌트의 정지 작업을 수행한다.

  Throws:
    `ComponentException`

### stop

    public final void stop()
                    throws ComponentException

  resuming() 메소드를 호출하여 일시정지된 컴포넌트를 재구동한다.

  처리 순서는 ["STOPPING" 상태 전이 -> stop() 호출 -> "STOPPED" 상태 전이] 이다.

  Specified by:
    `stop` in interface `Component`
  Throws:
    `ComponentException`
  See Also:
    `Component.stop()`

### closing

    protected void closing()
                    throws ComponentException

  구동중인 컴포넌트를 종료한다.

  하위 클래스는 이 메소드를 오버라이딩하여 컴포넌트의 종료 작업을 수행한다.

  Throws:
    `ComponentException`

### close

    public final void close()
                     throws ComponentException

  resuming() 메소드를 호출하여 일시정지된 컴포넌트를 재구동한다.

  처리 순서는 ["CLOSING" 상태 전이 -> stop() 호출 -> "CLOSED" 상태 전이] 이다.

  Specified by:
    `close` in interface `Component`
  Throws:
    `ComponentException`
  See Also:
    `Component.close()`

### getDescription

    public java.lang.String getDescription()

  init()에서 전달받은 ComponentConfig의 getDescription() 메소드의 결과 값을 리턴한다.

  See Also:
    `ComponentMBean.getDescription()`

### getState

    public final java.lang.String getState()

### isCreated

    public boolean isCreated()

  Description copied from interface: `Component`
  컴포넌트가 생성된 상태인 경우 true를 리턴한다.

  Specified by:
    `isCreated` in interface `Component`
  Returns:

### isClosed

    public boolean isClosed()

  Description copied from interface: `Component`
  컴포넌트가 종료됨 상태인 경우 true를 리턴한다.

  Specified by:
    `isClosed` in interface `Component`
  Returns:

### isClosing

    public boolean isClosing()

  Description copied from interface: `Component`
  컴포넌트가 종료중 상태인 경우 true를 리턴한다.

  Specified by:
    `isClosing` in interface `Component`
  Returns:

### isErrorOccured

    public boolean isErrorOccured()

  Description copied from interface: `Component`
  컴포넌트가 에러처리중 상태인 경우 true를 리턴한다.

  Specified by:
    `isErrorOccured` in interface `Component`
  Returns:

### isInited

    public boolean isInited()

  Description copied from interface: `Component`
  컴포넌트가 초기화됨 상태인 경우 true를 리턴한다.

  Specified by:
    `isInited` in interface `Component`
  Returns:

### isIniting

    public boolean isIniting()

  Description copied from interface: `Component`
  컴포넌트가 초기화중 상태인 경우 true를 리턴한다.

  Specified by:
    `isIniting` in interface `Component`
  Returns:

### isResuming

    public boolean isResuming()

  Description copied from interface: `Component`
  컴포넌트가 재계중인 상태인 경우 true를 리턴한다.

  Specified by:
    `isResuming` in interface `Component`
  Returns:

### isRunning

    public boolean isRunning()

  Description copied from interface: `Component`
  컴포넌트가 실행중인 상태인 경우 true를 리턴한다.

  Specified by:
    `isRunning` in interface `Component`
  Returns:

### isStarting

    public boolean isStarting()

  Description copied from interface: `Component`
  컴포넌트가 시작중인 상태인 경우 true를 리턴한다.

  Specified by:
    `isStarting` in interface `Component`
  Returns:

### isStopped

    public boolean isStopped()

  Description copied from interface: `Component`
  컴포넌트가 정지됨 상태인 경우 true를 리턴한다.

  Specified by:
    `isStopped` in interface `Component`
  Returns:

### isStopping

    public boolean isStopping()

  Description copied from interface: `Component`
  컴포넌트가 정지중 상태인 경우 true를 리턴한다.

  Specified by:
    `isStopping` in interface `Component`
  Returns:

### isSuspended

    public boolean isSuspended()

  Description copied from interface: `Component`
  컴포넌트가 지연된 상태인 경우 true를 리턴한다.

  Specified by:
    `isSuspended` in interface `Component`
  Returns:

### isSuspending

    public boolean isSuspending()

  Description copied from interface: `Component`
  컴포넌트가 지연중인 상태인 경우 true를 리턴한다.

  Specified by:
    `isSuspending` in interface `Component`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD